Index: trunk/tools/OBSstations.csv
===================================================================
--- trunk/tools/OBSstations.csv	(revision 2729)
+++ trunk/tools/OBSstations.csv	(revision 2729)
@@ -0,0 +1,109 @@
+#WMOid,station_name,longitude,latitude,lon_deg,lon_min,lon_sec,lat_deg,lat_min,lat_sec,height,country,prov,nice_name,add1,add2
+AEROPARQUE BUENOS AIRES,87582
+,34.566667,34,34,0.00,58.416667,58,25,0.00,6,CAPITAL FEDERAL,Argentina,Aeroparque Airport Buenos Aires,,
+BUENOS AIRES,87585
+,34.583333,34,35,0.00,58.483333,58,29,0.00,25,CAPITAL FEDERAL,Argentina,Buenos Aires,,
+CASTELAR INTA,87575
+,34.066667,34,4,0.00,58.650000,58,39,0.00,22,BUENOS AIRES,Argentina,Castelar INTA,,
+CERES AERO,87257
+,29.883333,29,53,0.00,61.950000,61,57,0.00,88,SANTA FE,Argentina,Ceres Airport,,
+CHACRAS DE CORIA,87454
+,32.983333,32,59,0.00,68.866667,68,52,0.00,921,MENDOZA,Argentina,Chacras de Coria,,
+CHAMICAL AERO,87320
+,30.366667,30,22,0.00,66.283333,66,17,0.00,461,LA RIOJA,Argentina,Chamical Airpot,,
+CHEPES,87322
+,31.033333,31,2,0.00,66.600000,66,36,0.00,658,LA RIOJA,Argentina,Chepes,,
+CHILECITO AERO,87213
+,29.233333,29,14,0.00,67.433333,67,26,0.00,945,LA RIOJA,Argentina,Chilecito Airpot,,
+CONCEPCION DEL URUGUAY IN,87493
+,32.483333,32,29,0.00,58.033333,58,2,0.00,25,ENTRE RIOS,Argentina,Concepcion del Uruguay Airpot,,
+CONCORDIA AERO,87395
+,31.300000,31,18,0.00,58.016667,58,01,0.00,38,ENTRE RIOS,Argentina,Concordia Airpot,,
+CORDOBA AERO,87344
+,31.316667,31,19,0.00,64.216667,64,13,0.00,474,CORDOBA,Argentina,Cordoba Airpot,,
+CORDOBA OBSERVATORIO,87345
+,31.400000,31,24,0.00,64.183333,64,11,0.00,425,CORDOBA,Argentina,Cordoba Observatorio,,
+CURUZU CUATIA AERO,87286
+,29.783333,29,47,0.00,57.983333,57,59,0.00,73,CORRIENTES,Argentina,Curuzu Cuatia Airpot,,
+DON TORCUATO AERO,87568
+,34.483333,34,29,0.00,58.616667,58,37,0.00,4,BUENOS AIRES,Argentina,Don Torcuato Airpot,,
+EL PALOMAR AERO,87571
+,34.600000,34,36,0.00,58.600000,58,36,0.00,12,BUENOS AIRES,Argentina,El Palomar Airpot,,
+EL TREBOL,87470
+,32.050000,32,3,0.00,61.066667,61,4,0.00,96,SANTA FE,Argentina,El Trebol,,
+ESC.AVIACION MILITAR AERO,87347
+,31.450000,31,27,0.00,64.266667,64,16,0.00,502,CORDOBA,Argentina,Escuela AviaciÃ³n Militar Airpot,,
+EZEIZA AERO,87576
+,34.816667,34,49,0.00,58.533333,58,32,0.00,20,BUENOS AIRES,Argentina,Ezeiza Airpot,,
+GUALEGUAYCHU AERO,87497
+,33.000000,33,0,0.00,58.616667,58,37,0.00,21,ENTRE RIOS,Argentina,Gualeguaychu Airpot,,
+JACHAL,87305
+,30.233333,30,14,0.00,68.750000,68,45,0.00,1175,SAN JUAN,Argentina,Jachal,,
+JUNIN AERO,87548
+,34.550000,34,33,0.00,60.916667,60,55,0.00,81,BUENOS AIRES,Argentina,Junin Airpot,,
+LA PLATA AERO,87593
+,34.966667,34,58,0.00,57.900000,57,54,0.00,19,BUENOS AIRES,Argentina,La Plata Airpot,,
+LA RIOJA AERO,87217
+,29.383333,29,23,0.00,66.816667,66,49,0.00,429,LA RIOJA,Argentina,La Rioja Airpot,,
+LABOULAYE AERO,87534
+,34.133333,34,08,0.00,63.366667,63,22,0.00,137,CORDOBA,Argentina,Laboulaye Airpot,,
+MARCOS JUAREZ AERO,87467
+,32.700000,32,42,0.00,62.150000,62,09,0.00,114,CORDOBA,Argentina,Marcos Juarez Airpot,,
+MARCOS JUAREZ INTA,87466
+,32.683333,32,41,0.00,62.116667,62,07,0.00,110,CORDOBA,Argentina,Marcos Juarez INTA,,
+MARIANO MORENO AERO,87572
+,34.550000,34,33,0.00,58.816667,58,49,0.00,32,BUENOS AIRES,Argentina,Mariano Moreno Airpot,,
+MENDOZA AERO,87418
+,32.083333,32,5,0.00,68.783333,68,47,0.00,704,MENDOZA,Argentina,Mendoza Airpot,,
+MENDOZA OBSERVATORIO,87420
+,32.883333,32,53,0.00,68.850000,68,51,0.00,827,MENDOZA,Argentina,Mendoza Observatorio,,
+MERCEDES AERO (CTES),87281
+,29.216667,29,13,0.00,58.100000,58,06,0.00,107,CORRIENTES,Argentina,Mercedes Airpot,,
+MONTE CASEROS AERO,87393
+,30.266667,30,16,0.00,57.650000,57,39,0.00,54,CORRIENTES,Argentina,Monte Caseros Airpot,,
+PARANA AERO,87374
+,31.783333,31,47,0.00,60.483333,60,29,0.00,78,ENTRE RIOS,Argentina,Parana Airpot,,
+PARANA INTA,87373
+,31.083333,31,5,0.00,60.516667,60,31,0.00,110,ENTRE RIOS,Argentina,Parana INTA,,
+PASO DE LOS LIBRES AERO,87289
+,29.683333,29,41,0.00,57.150000,57,09,0.00,70,CORRIENTES,Argentina,Paso de los Libres Airpot,,
+PERGAMINO INTA,87484
+,33.933333,33,56,0.00,60.550000,60,33,0.00,65,BUENOS AIRES,Argentina,Pergamino INTA,,
+PILAR OBS.,87349
+,31.066667,31,4,0.00,63.883333,63,53,0.00,338,CORDOBA,Argentina,Pilar Observatorio.,,
+RECONQUISTA AERO,87270
+,29.183333,29,11,0.00,59.700000,59,42,0.00,53,SANTA FE,Argentina,Reconquista Airpot,,
+RIO CUARTO AERO,87453
+,33.116667,33,07,0.00,64.233333,64,14,0.00,421,CORDOBA,Argentina,RÃ­o Cuarto Airpot,,
+ROSARIO AERO,87480
+,32.916667,32,55,0.00,60.783333,60,47,0.00,25,SANTA FE,Argentina,Rosario Airpot,,
+SAN FERNANDO,87553
+,34.450000,34,27,0.00,58.583333,58,35,0.00,3,BUENOS AIRES,Argentina,San Fernando,,
+SAN JUAN AERO,87311
+,31.566667,31,34,0.00,68.416667,68,25,0.00,598,SAN JUAN,Argentina,San Juan Airpot,,
+SAN JUAN INTA,87313
+,31.616667,31,37,0.00,68.533333,68,32,0.00,615,SAN JUAN,Argentina,San Juan INTA,,
+SAN LUIS AERO,87436
+,33.266667,33,16,0.00,66.350000,66,21,0.00,713,SAN LUIS,Argentina,San Luis AERO,,
+SAN MARTIN (MZA),87416
+,33.083333,33,05,0.00,68.416667,68,25,0.00,653,MENDOZA,Argentina,San Martin,,
+SAN MIGUEL,87569
+,34.550000,34,33,0.00,58.733333,58,44,0.00,26,BUENOS AIRES,Argentina,San Miguel,,
+SAN PEDRO INTA,87494
+,33.683333,33,41,0.00,59.683333,59,41,0.00,28,BUENOS AIRES,Argentina,San Pedro INTA,,
+SAN RAFAEL AERO,87509
+,34.583333,34,35,0.00,68.400000,68,24,0.00,748,MENDOZA,Argentina,San Rafael Airpot,,
+SANTA ROSA DE CONLARA AER,87444
+,32.066667,32,4,0.00,65.316667,65,19,0.00,620,SAN LUIS,Argentina,Santa Rosa de Conlara Airpot,,
+SAUCE VIEJO AERO,87371
+,31.700000,31,42,0.00,60.816667,60,49,0.00,18,SANTA FE,Argentina,Sauce Viejo Airpot,,
+VENADO TUERTO,87468
+,33.066667,33,4,0.00,61.966667,61,58,0.00,112,SANTA FE,Argentina,Venado Tuerto,,
+VILLA DOLORES AERO,87328
+,31.950000,31,57,0.00,65.133333,65,08,0.00,569,CORDOBA,Argentina,Villa Dolores Airpot,,
+VILLA MARIA DEL RIO SECO,87244
+,29.900000,29,54,0.00,63.683333,63,41,0.00,341,CORDOBA,Argentina,Villa Maria del RÃ­o Seco,,
+VILLA REYNOLDS AERO,87448
+,33.733333,33,44,0.00,65.383333,65,23,0.00,486,SAN LUIS,Argentina,Villa Reynolds Airpot,,
+VILLAGUAY AERO,87385
+,31.850000,31,51,0.00,59.083333,59,05,0.00,43,ENTRE RIOS,Argentina,Villaguay Airpot,,