Index: trunk/tools/OBSstations.csv
===================================================================
--- trunk/tools/OBSstations.csv	(revision 2755)
+++ trunk/tools/OBSstations.csv	(revision 2756)
@@ -55,25 +55,25 @@
 VILLAGUAY AERO,87385,-31.850000,-31,51,0.00,-59.083333,-59,05,0.00,43,ENTRE RIOS,Argentina,Villaguay Airpot,,
 # https://en.wikipedia.org/wiki/Argentine_Antarctica
-BASE Belgrano II,-99999,-34.6269444444,-34,37,37.0,-77.8736111111,-77,52,25.0,39.0, Argentina, Antartic, Base antÃ¡rica Belgrano II,-,-
-BASE Belgrano III,-99999,-45.7836111111,-45,47,1.0,-77.9005555556,-77,54,2.0,510.0, Argentina, Antartic, Base antÃ¡rtica Belgrano III,-,-
-BASE Esperanza,-99999,-56.9977777778,-56,59,52.0,-63.3975,-63,23,51.0,23.0, Argentina, Antartic, Base antÃ¡rica Esperanza,-,-
-BASE Carlini,-99999,-58.6677777778,-58,40,4.0,-62.2383333333,-62,14,18.0,10.0, Argentina, Antartic, Base antÃ¡rica Carlini,-,-
-BASE Marambio,-99999,-56.6267527778,-56,37,36.31,-64.2410138889,-64,14,27.65,196.0, Argentina, Antartic, Base antÃ¡rica Marambio,-,-
-BASE Orcadas,-99999,-44.7380555556,-44,44,17.0,-60.7380555556,-60,44,17.0,4.0, Argentina, Antartic, Base antÃ¡rica Orcadas,-,-
-BASE San MartÃ­n,-99999,-67.1013888889,-67,6,5.0,-68.13,-68,7,48.0,1.0, Argentina, Antartic, Base antÃ¡rica San MartÃ­n,-,-
-BASE Teniente CÃ¡mara,-99999,-59.9186111111,-59,55,7.0,-62.5947222222,-62,35,41.0,22.0, Argentina, Antartic, Base antÃ¡rica Teniente CÃ¡mara,-,-
-BASE Deception,-99999,-60.6977777778,-60,41,52.0,-62.9752777778,-62,58,31.0,7.0, Argentina, Antartic, Base antÃ¡rica DecepciÃ³n,-,-
-BASE Petrel,-99999,-56.2288888889,-56,13,44.0,-63.4780555556,-63,28,41.0,18.0, Argentina, Antartic, Base antÃ¡rtica Petrel - Air Station,-,-
-BASE Primavera,-99999,-60.9552777778,-60,57,19.0,-64.1558333333,-64,9,21.0,50.0, Argentina, Antartic, Base antÃ¡rica Primavera,-,-
-BASE Melchior,-99999,-62.9761111111,-62,58,34.0,-64.3255555556,-64,19,32.0,8.0, Argentina, Antartic, Base antÃ¡rica Melchior,-,-
-BASE Almirante Brown,-99999,-62.8708333333,-62,52,15.0,-64.8955555556,-64,53,44.0,10.0, Argentina, Antartic , Base antÃ¡rica Almirante Brown,-,-
-BASE Teniente Matienzo,-99999,-60.0713888889,-60,4,17.0,-64.9755555556,-64,58,32.0,25.0, Argentina, Antartic, Base antÃ¡rica Teniente Matienzo,-,-
-BASE AlfÃ©rez de NavÃ­o Sobral,-99999,-40.52,-40,31,12.0,-81.0791666667,-81,4,45.0,1000.0, Argentina, Antartic, Base antÃ¡rica AlfÃ©rez de NavÃ­o Sobral,-,-
-BASE EstaciÃ³n CientÃ­fica Ellsworth,-99999,-41.0333333333,-41,2,0.0,-77.65,-77,39,0.0,42.0, Argentina, Antartic, Base antÃ¡rica EstaciÃ³n CientÃ­fica Ellsworth,-,-
-BASE Refuge Francisco de Gurruchaga,-99999,-59.2069444444,-59,12,25.0,-62.3088888889,-62,18,32.0,1.0, Argentina, Antartic, Base antÃ¡rica Refugio Francisco de Gurruchaga,-,-
-BASE BallvÃ©,-99999,-58.9261111111,-58,55,34.0,-62.2105555556,-62,12,38.0,45.0, Argentina, Antartic, Base antÃ¡rica BallvÃ©,-,-
-BASE Belgrano I,-99999,-38.1833333333,-38,11,0.0,-77.7666666667,-77,46,0.0,32.0, Argentina, Antartic, Base antÃ¡rica Belgrano I,-,-
-BASE Belgrano III,-99999,-45.7836111111,-45,47,1.0,-77.9005555556,-77,54,2.0,510.0, Argentina, Antartic, Base antÃ¡rica Belgrano II,-,-
-BASE Camp Livingston,-99999,-61.0108333333,-61,0,39.0,-62.6561111111,-62,39,22.0,1.0, Argentina, Antartic, Base antÃ¡rica Camp Livingston,-,-
-BASE Refugio Suecia,-99999,-56.9833333333,-56,59,0.0,-63.3666666667,-63,22,0.0,1.0, Argentina, Antartic, Base antÃ¡rica Refugio Suecia,-,-
-BASE Refuge Abrazo de MaipÃº,-99999,-57.5827777778,-57,34,58.0,-63.3880555556,-63,23,17.0,1.0, Argentina, Antartic, Base antÃ¡rica Refugio abrazo de MaipÃº,-,-
+BASE Belgrano II,-99999,-34.6269444444,-34,37,37.0,-77.8736111111,-77,52,25.0,39.0, Antartic, Argentina, Base antÃ¡rica Belgrano II,-,-
+BASE Belgrano III,-99999,-45.7836111111,-45,47,1.0,-77.9005555556,-77,54,2.0,510.0, Antartic, Argentina, Base antÃ¡rtica Belgrano III,-,-
+BASE Esperanza,-99999,-56.9977777778,-56,59,52.0,-63.3975,-63,23,51.0,23.0, Antartic, Argentina, Base antÃ¡rica Esperanza,-,-
+BASE Carlini,-99999,-58.6677777778,-58,40,4.0,-62.2383333333,-62,14,18.0,10.0, Antartic, Argentina, Base antÃ¡rica Carlini,-,-
+BASE Marambio,-99999,-56.6267527778,-56,37,36.31,-64.2410138889,-64,14,27.65,196.0, Antartic, Argentina, Base antÃ¡rica Marambio,-,-
+BASE Orcadas,-99999,-44.7380555556,-44,44,17.0,-60.7380555556,-60,44,17.0,4.0, Antartic, Argentina, Base antÃ¡rica Orcadas,-,-
+BASE San MartÃ­n,-99999,-67.1013888889,-67,6,5.0,-68.13,-68,7,48.0,1.0, Antartic, Argentina, Base antÃ¡rica San MartÃ­n,-,-
+BASE Teniente CÃ¡mara,-99999,-59.9186111111,-59,55,7.0,-62.5947222222,-62,35,41.0,22.0, Antartic, Argentina, Base antÃ¡rica Teniente CÃ¡mara,-,-
+BASE Deception,-99999,-60.6977777778,-60,41,52.0,-62.9752777778,-62,58,31.0,7.0, Antartic, Argentina, Base antÃ¡rica DecepciÃ³n,-,-
+BASE Petrel,-99999,-56.2288888889,-56,13,44.0,-63.4780555556,-63,28,41.0,18.0, Antartic, Argentina, Base antÃ¡rtica Petrel - Air Station,-,-
+BASE Primavera,-99999,-60.9552777778,-60,57,19.0,-64.1558333333,-64,9,21.0,50.0, Antartic, Argentina, Base antÃ¡rica Primavera,-,-
+BASE Melchior,-99999,-62.9761111111,-62,58,34.0,-64.3255555556,-64,19,32.0,8.0, Antartic, Argentina, Base antÃ¡rica Melchior,-,-
+BASE Almirante Brown,-99999,-62.8708333333,-62,52,15.0,-64.8955555556,-64,53,44.0,10.0, Antartic, Argentina, Base antÃ¡rica Almirante Brown,-,-
+BASE Teniente Matienzo,-99999,-60.0713888889,-60,4,17.0,-64.9755555556,-64,58,32.0,25.0, Antartic, Argentina, Base antÃ¡rica Teniente Matienzo,-,-
+BASE AlfÃ©rez de NavÃ­o Sobral,-99999,-40.52,-40,31,12.0,-81.0791666667,-81,4,45.0,1000.0, Antartic, Argentina, Base antÃ¡rica AlfÃ©rez de NavÃ­o Sobral,-,-
+BASE EstaciÃ³n CientÃ­fica Ellsworth,-99999,-41.0333333333,-41,2,0.0,-77.65,-77,39,0.0,42.0, Antartic, Argentina, Base antÃ¡rica EstaciÃ³n CientÃ­fica Ellsworth,-,-
+BASE Refuge Francisco de Gurruchaga,-99999,-59.2069444444,-59,12,25.0,-62.3088888889,-62,18,32.0,1.0, Antartic, Argentina, Base antÃ¡rica Refugio Francisco de Gurruchaga,-,-
+BASE BallvÃ©,-99999,-58.9261111111,-58,55,34.0,-62.2105555556,-62,12,38.0,45.0, Antartic, Argentina, Base antÃ¡rica BallvÃ©,-,-
+BASE Belgrano I,-99999,-38.1833333333,-38,11,0.0,-77.7666666667,-77,46,0.0,32.0, Antartic, Argentina, Base antÃ¡rica Belgrano I,-,-
+BASE Belgrano III,-99999,-45.7836111111,-45,47,1.0,-77.9005555556,-77,54,2.0,510.0, Antartic, Argentina, Base antÃ¡rica Belgrano II,-,-
+BASE Camp Livingston,-99999,-61.0108333333,-61,0,39.0,-62.6561111111,-62,39,22.0,1.0, Antartic, Argentina, Base antÃ¡rica Camp Livingston,-,-
+BASE Refugio Suecia,-99999,-56.9833333333,-56,59,0.0,-63.3666666667,-63,22,0.0,1.0, Antartic, Argentina, Base antÃ¡rica Refugio Suecia,-,-
+BASE Refuge Abrazo de MaipÃº,-99999,-57.5827777778,-57,34,58.0,-63.3880555556,-63,23,17.0,1.0, Antartic, Argentina, Base antÃ¡rica Refugio abrazo de MaipÃº,-,-
Index: trunk/tools/bases_antartida.desc
===================================================================
--- trunk/tools/bases_antartida.desc	(revision 2755)
+++ trunk/tools/bases_antartida.desc	(revision 2756)
@@ -7,6 +7,6 @@
 lon_sec = 6
 height = 7
-prov = 9
-country = 10  
+prov = 10
+country = 9  
 nice_name = 8
 sepchar = ,