Index: trunk/tools/OBSstations.csv
===================================================================
--- trunk/tools/OBSstations.csv	(revision 2805)
+++ trunk/tools/OBSstations.csv	(revision 2806)
@@ -1,57 +1,60 @@
 #station_name,WMOid,longitude,lon_deg,lon_min,lon_sec,latitude,lat_deg,lat_min,lat_sec,height,prov,country,nice_name,add1,add2
-AEROPARQUE BUENOS AIRES,87582,-34.566667,-34,34,0.00,-58.416667,-58,25,0.00,6,CAPITAL FEDERAL,Argentina,Aeroparque Airport Buenos Aires,,
-BUENOS AIRES,87585,-34.583333,-34,35,0.00,-58.483333,-58,29,0.00,25,CAPITAL FEDERAL,Argentina,Buenos Aires,,
-CASTELAR INTA,87575,-34.066667,-34,4,0.00,-58.650000,-58,39,0.00,22,BUENOS AIRES,Argentina,Castelar INTA,,
-CERES AERO,87257,-29.883333,-29,53,0.00,-61.950000,-61,57,0.00,88,SANTA FE,Argentina,Ceres Airport,,
-CHACRAS DE CORIA,87454,-32.983333,-32,59,0.00,-68.866667,-68,52,0.00,921,MENDOZA,Argentina,Chacras de Coria,,
-CHAMICAL AERO,87320,-30.366667,-30,22,0.00,-66.283333,-66,17,0.00,461,LA RIOJA,Argentina,Chamical Airpot,,
-CHEPES,87322,-31.033333,-31,2,0.00,-66.600000,-66,36,0.00,658,LA RIOJA,Argentina,Chepes,,
-CHILECITO AERO,87213,-29.233333,-29,14,0.00,-67.433333,-67,26,0.00,945,LA RIOJA,Argentina,Chilecito Airpot,,
-CONCEPCION DEL URUGUAY IN,87493,-32.483333,-32,29,0.00,-58.033333,-58,2,0.00,25,ENTRE RIOS,Argentina,Concepcion del Uruguay Airpot,,
-CONCORDIA AERO,87395,-31.300000,-31,18,0.00,-58.016667,-58,01,0.00,38,ENTRE RIOS,Argentina,Concordia Airpot,,
-CORDOBA AERO,87344,-31.316667,-31,19,0.00,-64.216667,-64,13,0.00,474,CORDOBA,Argentina,Cordoba Airpot,,
-CORDOBA OBSERVATORIO,87345,-31.400000,-31,24,0.00,-64.183333,-64,11,0.00,425,CORDOBA,Argentina,Cordoba Observatorio,,
-CURUZU CUATIA AERO,87286,-29.783333,-29,47,0.00,-57.983333,-57,59,0.00,73,CORRIENTES,Argentina,Curuzu Cuatia Airpot,,
-DON TORCUATO AERO,87568,-34.483333,-34,29,0.00,-58.616667,-58,37,0.00,4,BUENOS AIRES,Argentina,Don Torcuato Airpot,,
-EL PALOMAR AERO,87571,-34.600000,-34,36,0.00,-58.600000,-58,36,0.00,12,BUENOS AIRES,Argentina,El Palomar Airpot,,
-EL TREBOL,87470,-32.050000,-32,3,0.00,-61.066667,-61,4,0.00,96,SANTA FE,Argentina,El Trebol,,
-ESC.AVIACION MILITAR AERO,87347,-31.450000,-31,27,0.00,-64.266667,-64,16,0.00,502,CORDOBA,Argentina,Escuela AviaciÃ³n Militar Airpot,,
-EZEIZA AERO,87576,-34.816667,-34,49,0.00,-58.533333,-58,32,0.00,20,BUENOS AIRES,Argentina,Ezeiza Airpot,,
-GUALEGUAYCHU AERO,87497,-33.000000,-33,0,0.00,-58.616667,-58,37,0.00,21,ENTRE RIOS,Argentina,Gualeguaychu Airpot,,
-JACHAL,87305,-30.233333,-30,14,0.00,-68.750000,-68,45,0.00,1175,SAN JUAN,Argentina,Jachal,,
-JUNIN AERO,87548,-34.550000,-34,33,0.00,-60.916667,-60,55,0.00,81,BUENOS AIRES,Argentina,Junin Airpot,,
-LA PLATA AERO,87593,-34.966667,-34,58,0.00,-57.900000,-57,54,0.00,19,BUENOS AIRES,Argentina,La Plata Airpot,,
-LA RIOJA AERO,87217,-29.383333,-29,23,0.00,-66.816667,-66,49,0.00,429,LA RIOJA,Argentina,La Rioja Airpot,,
-LABOULAYE AERO,87534,-34.133333,-34,08,0.00,-63.366667,-63,22,0.00,137,CORDOBA,Argentina,Laboulaye Airpot,,
-MARCOS JUAREZ AERO,87467,-32.700000,-32,42,0.00,-62.150000,-62,09,0.00,114,CORDOBA,Argentina,Marcos Juarez Airpot,,
-MARCOS JUAREZ INTA,87466,-32.683333,-32,41,0.00,-62.116667,-62,07,0.00,110,CORDOBA,Argentina,Marcos Juarez INTA,,
-MARIANO MORENO AERO,87572,-34.550000,-34,33,0.00,-58.816667,-58,49,0.00,32,BUENOS AIRES,Argentina,Mariano Moreno Airpot,,
-MENDOZA AERO,87418,-32.083333,-32,5,0.00,-68.783333,-68,47,0.00,704,MENDOZA,Argentina,Mendoza Airpot,,
-MENDOZA OBSERVATORIO,87420,-32.883333,-32,53,0.00,-68.850000,-68,51,0.00,827,MENDOZA,Argentina,Mendoza Observatorio,,
-MERCEDES AERO (CTES),87281,-29.216667,-29,13,0.00,-58.100000,-58,06,0.00,107,CORRIENTES,Argentina,Mercedes Airpot,,
-MONTE CASEROS AERO,87393,-30.266667,-30,16,0.00,-57.650000,-57,39,0.00,54,CORRIENTES,Argentina,Monte Caseros Airpot,,
-PARANA AERO,87374,-31.783333,-31,47,0.00,-60.483333,-60,29,0.00,78,ENTRE RIOS,Argentina,Parana Airpot,,
-PARANA INTA,87373,-31.083333,-31,5,0.00,-60.516667,-60,31,0.00,110,ENTRE RIOS,Argentina,Parana INTA,,
-PASO DE LOS LIBRES AERO,87289,-29.683333,-29,41,0.00,-57.150000,-57,09,0.00,70,CORRIENTES,Argentina,Paso de los Libres Airpot,,
-PERGAMINO INTA,87484,-33.933333,-33,56,0.00,-60.550000,-60,33,0.00,65,BUENOS AIRES,Argentina,Pergamino INTA,,
-PILAR OBS.,87349,-31.066667,-31,4,0.00,-63.883333,-63,53,0.00,338,CORDOBA,Argentina,Pilar Observatorio.,,
-RECONQUISTA AERO,87270,-29.183333,-29,11,0.00,-59.700000,-59,42,0.00,53,SANTA FE,Argentina,Reconquista Airpot,,
-RIO CUARTO AERO,87453,-33.116667,-33,07,0.00,-64.233333,-64,14,0.00,421,CORDOBA,Argentina,RÃ­o Cuarto Airpot,,
-ROSARIO AERO,87480,-32.916667,-32,55,0.00,-60.783333,-60,47,0.00,25,SANTA FE,Argentina,Rosario Airpot,,
-SAN FERNANDO,87553,-34.450000,-34,27,0.00,-58.583333,-58,35,0.00,3,BUENOS AIRES,Argentina,San Fernando,,
-SAN JUAN AERO,87311,-31.566667,-31,34,0.00,-68.416667,-68,25,0.00,598,SAN JUAN,Argentina,San Juan Airpot,,
-SAN JUAN INTA,87313,-31.616667,-31,37,0.00,-68.533333,-68,32,0.00,615,SAN JUAN,Argentina,San Juan INTA,,
-SAN LUIS AERO,87436,-33.266667,-33,16,0.00,-66.350000,-66,21,0.00,713,SAN LUIS,Argentina,San Luis AERO,,
-SAN MARTIN (MZA),87416,-33.083333,-33,05,0.00,-68.416667,-68,25,0.00,653,MENDOZA,Argentina,San Martin,,
-SAN MIGUEL,87569,-34.550000,-34,33,0.00,-58.733333,-58,44,0.00,26,BUENOS AIRES,Argentina,San Miguel,,
-SAN PEDRO INTA,87494,-33.683333,-33,41,0.00,-59.683333,-59,41,0.00,28,BUENOS AIRES,Argentina,San Pedro INTA,,
-SAN RAFAEL AERO,87509,-34.583333,-34,35,0.00,-68.400000,-68,24,0.00,748,MENDOZA,Argentina,San Rafael Airpot,,
-SANTA ROSA DE CONLARA AER,87444,-32.066667,-32,4,0.00,-65.316667,-65,19,0.00,620,SAN LUIS,Argentina,Santa Rosa de Conlara Airpot,,
-SAUCE VIEJO AERO,87371,-31.700000,-31,42,0.00,-60.816667,-60,49,0.00,18,SANTA FE,Argentina,Sauce Viejo Airpot,,
-VENADO TUERTO,87468,-33.066667,-33,4,0.00,-61.966667,-61,58,0.00,112,SANTA FE,Argentina,Venado Tuerto,,
-VILLA DOLORES AERO,87328,-31.950000,-31,57,0.00,-65.133333,-65,08,0.00,569,CORDOBA,Argentina,Villa Dolores Airpot,,
-VILLA MARIA DEL RIO SECO,87244,-29.900000,-29,54,0.00,-63.683333,-63,41,0.00,341,CORDOBA,Argentina,Villa Maria del RÃ­o Seco,,
-VILLA REYNOLDS AERO,87448,-33.733333,-33,44,0.00,-65.383333,-65,23,0.00,486,SAN LUIS,Argentina,Villa Reynolds Airpot,,
-VILLAGUAY AERO,87385,-31.850000,-31,51,0.00,-59.083333,-59,05,0.00,43,ENTRE RIOS,Argentina,Villaguay Airpot,,
+# https://es.wikipedia.org/wiki/Anexo:Estaciones_meteorol%C3%B3gicas_en_Argentina
+AEROPARQUE BUENOS AIRES,87582,-58.416667,-58,25,0.00,-34.566667,-34,34,0.00,6,CAPITAL FEDERAL,Argentina,Aeroparque Airport Buenos Aires,,
+BUENOS AIRES,87585,-58.483333,-58,29,0.00,-34.583333,-34,35,0.00,25,CAPITAL FEDERAL,Argentina,Buenos Aires,,
+CASTELAR INTA,87575,-58.650000,-58,39,0.00,-34.066667,-34,4,0.00,22,BUENOS AIRES,Argentina,Castelar INTA,,
+CERES AERO,87257,-61.950000,-61,57,0.00,-29.883333,-29,53,0.00,88,SANTA FE,Argentina,Ceres Airport,,
+CHACRAS DE CORIA,87454,-68.866667,-68,52,0.00,-32.983333,-32,59,0.00,921,MENDOZA,Argentina,Chacras de Coria,,
+CHAMICAL AERO,87320,-66.283333,-66,17,0.00,-30.366667,-30,22,0.00,461,LA RIOJA,Argentina,Chamical Airport,,
+CHEPES,87322,-66.600000,-66,36,0.00,-31.033333,-31,2,0.00,658,LA RIOJA,Argentina,Chepes,,
+CHILECITO AERO,87213,-67.433333,-67,26,0.00,-29.233333,-29,14,0.00,945,LA RIOJA,Argentina,Chilecito Airport,,
+CONCEPCION DEL URUGUAY IN,87493,-58.033333,-58,2,0.00,-32.483333,-32,29,0.00,25,ENTRE RIOS,Argentina,Concepcion del Uruguay Airport,,
+CONCORDIA AERO,87395,-58.016667,-58,01,0.00,-31.300000,-31,18,0.00,38,ENTRE RIOS,Argentina,Concordia Airport,,
+CORDOBA AERO,87344,-64.216667,-64,13,0.00,-31.316667,-31,19,0.00,474,CORDOBA,Argentina,Cordoba Airport,,
+CORDOBA OBSERVATORIO,87345,-64.183333,-64,11,0.00,-31.400000,-31,24,0.00,425,CORDOBA,Argentina,Cordoba Observatorio,,
+CURUZU CUATIA AERO,87286,-57.983333,-57,59,0.00,-29.783333,-29,47,0.00,73,CORRIENTES,Argentina,Curuzu Cuatia Airport,,
+DON TORCUATO AERO,87568,-58.616667,-58,37,0.00,-34.483333,-34,29,0.00,4,BUENOS AIRES,Argentina,Don Torcuato Airport,,
+EL PALOMAR AERO,87571,-58.600000,-58,36,0.00,-34.600000,-34,36,0.00,12,BUENOS AIRES,Argentina,El Palomar Airport,,
+EL TREBOL,87470,-61.066667,-61,4,0.00,-32.050000,-32,3,0.00,96,SANTA FE,Argentina,El Trebol,,
+ESC.AVIACION MILITAR AERO,87347,-64.266667,-64,16,0.00,-31.450000,-31,27,0.00,502,CORDOBA,Argentina,Escuela AviaciÃ³n Militar Airport,,
+EZEIZA AERO,87576,-58.533333,-58,32,0.00,-34.816667,-34,49,0.00,20,BUENOS AIRES,Argentina,Ezeiza Airport,,
+GUALEGUAYCHU AERO,87497,-58.616667,-58,37,0.00,-33.000000,-33,0,0.00,21,ENTRE RIOS,Argentina,Gualeguaychu Airport,,
+JACHAL,87305,-68.750000,-68,45,0.00,-30.233333,-30,14,0.00,1175,SAN JUAN,Argentina,Jachal,,
+JUNIN AERO,87548,-60.916667,-60,55,0.00,-34.550000,-34,33,0.00,81,BUENOS AIRES,Argentina,Junin Airport,,
+LA PLATA AERO,87593,-57.900000,-57,54,0.00,-34.966667,-34,58,0.00,19,BUENOS AIRES,Argentina,La Plata Airport,,
+LA RIOJA AERO,87217,-66.816667,-66,49,0.00,-29.383333,-29,23,0.00,429,LA RIOJA,Argentina,La Rioja Airport,,
+LABOULAYE AERO,87534,-63.366667,-63,22,0.00,-34.133333,-34,08,0.00,137,CORDOBA,Argentina,Laboulaye Airport,,
+MARCOS JUAREZ AERO,87467,-62.150000,-62,09,0.00,-32.700000,-32,42,0.00,114,CORDOBA,Argentina,Marcos Juarez Airport,,
+MARCOS JUAREZ INTA,87466,-62.116667,-62,07,0.00,-32.683333,-32,41,0.00,110,CORDOBA,Argentina,Marcos Juarez INTA,,
+MARIANO MORENO AERO,87572,-58.816667,-58,49,0.00,-34.550000,-34,33,0.00,32,BUENOS AIRES,Argentina,Mariano Moreno Airport,,
+MENDOZA AERO,87418,-68.783333,-68,47,0.00,-32.083333,-32,5,0.00,704,MENDOZA,Argentina,Mendoza Airport,,
+MENDOZA OBSERVATORIO,87420,-68.850000,-68,51,0.00,-32.883333,-32,53,0.00,827,MENDOZA,Argentina,Mendoza Observatorio,,
+MERCEDES AERO (CTES),87281,-58.100000,-58,06,0.00,-29.216667,-29,13,0.00,107,CORRIENTES,Argentina,Mercedes Airport,,
+MONTE CASEROS AERO,87393,-57.650000,-57,39,0.00,-30.266667,-30,16,0.00,54,CORRIENTES,Argentina,Monte Caseros Airport,,
+MORON AERO,87574,-58.666667,-58,40,0.,-34.6666667,-34,40,0.,24.,BUENOS AIRES,Argentina,MorÃ³n Airport,,
+PARANA AERO,87374,-60.483333,-60,29,0.00,-31.783333,-31,47,0.00,78,ENTRE RIOS,Argentina,Parana Airport,,
+PARANA INTA,87373,-60.516667,-60,31,0.00,-31.083333,-31,5,0.00,110,ENTRE RIOS,Argentina,Parana INTA,,
+PASO DE LOS LIBRES AERO,87289,-57.150000,-57,09,0.00,-29.683333,-29,41,0.00,70,CORRIENTES,Argentina,Paso de los Libres Airport,,
+PERGAMINO INTA,87484,-60.550000,-60,33,0.00,-33.933333,-33,56,0.00,65,BUENOS AIRES,Argentina,Pergamino INTA,,
+PILAR OBS.,87349,-63.883333,-63,53,0.00,-31.066667,-31,4,0.00,338,CORDOBA,Argentina,Pilar Observatorio.,,
+PUNTA INDIO,87596,-57.333333,-57,20,0.,-35.366666,-35,22,0.,22.,BUENOS AIRES,Argentina,Punta Indio,,
+RECONQUISTA AERO,87270,-59.700000,-59,42,0.00,-29.183333,-29,11,0.00,53,SANTA FE,Argentina,Reconquista Airport,,
+RIO CUARTO AERO,87453,-64.233333,-64,14,0.00,-33.116667,-33,07,0.00,421,CORDOBA,Argentina,RÃ­o Cuarto Airport,,
+ROSARIO AERO,87480,-60.783333,-60,47,0.00,-32.916667,-32,55,0.00,25,SANTA FE,Argentina,Rosario Airport,,
+SAN FERNANDO,87553,-58.583333,-58,35,0.00,-34.450000,-34,27,0.00,3,BUENOS AIRES,Argentina,San Fernando,,
+SAN JUAN AERO,87311,-68.416667,-68,25,0.00,-31.566667,-31,34,0.00,598,SAN JUAN,Argentina,San Juan Airport,,
+SAN JUAN INTA,87313,-68.533333,-68,32,0.00,-31.616667,-31,37,0.00,615,SAN JUAN,Argentina,San Juan INTA,,
+SAN LUIS AERO,87436,-66.350000,-66,21,0.00,-33.266667,-33,16,0.00,713,SAN LUIS,Argentina,San Luis AERO,,
+SAN MARTIN (MZA),87416,-68.416667,-68,25,0.00,-33.083333,-33,05,0.00,653,MENDOZA,Argentina,San Martin,,
+SAN MIGUEL,87569,-58.733333,-58,44,0.00,-34.550000,-34,33,0.00,26,BUENOS AIRES,Argentina,San Miguel,,
+SAN PEDRO INTA,87494,-59.683333,-59,41,0.00,-33.683333,-33,41,0.00,28,BUENOS AIRES,Argentina,San Pedro INTA,,
+SAN RAFAEL AERO,87509,-68.400000,-68,24,0.00,-34.583333,-34,35,0.00,748,MENDOZA,Argentina,San Rafael Airport,,
+SANTA ROSA DE CONLARA AER,87444,-65.316667,-65,19,0.00,-32.066667,-32,4,0.00,620,SAN LUIS,Argentina,Santa Rosa de Conlara Airport,,
+SAUCE VIEJO AERO,87371,-60.816667,-60,49,0.00,-31.700000,-31,42,0.00,18,SANTA FE,Argentina,Sauce Viejo Airport,,
+VENADO TUERTO,87468,-61.966667,-61,58,0.00,-33.066667,-33,4,0.00,112,SANTA FE,Argentina,Venado Tuerto,,
+VILLA DOLORES AERO,87328,-65.133333,-65,08,0.00,-31.950000,-31,57,0.00,569,CORDOBA,Argentina,Villa Dolores Airport,,
+VILLA MARIA DEL RIO SECO,87244,-63.683333,-63,41,0.00,-29.900000,-29,54,0.00,341,CORDOBA,Argentina,Villa Maria del RÃ­o Seco,,
+VILLA REYNOLDS AERO,87448,-65.383333,-65,23,0.00,-33.733333,-33,44,0.00,486,SAN LUIS,Argentina,Villa Reynolds Airport,,
+VILLAGUAY AERO,87385,-59.083333,-59,05,0.00,-31.850000,-31,51,0.00,43,ENTRE RIOS,Argentina,Villaguay Airport,,
 # Polution in BsAs
 CABApol_PqeCentenario,-99999,-58.4326111111,-58,25,57.4,-34.6062777778,-34,36,22.6,0.,C.A.B.A.,Argentina, CABA polution station Parque Centenario,Ramos Mejia 800,-
@@ -82,2 +85,38 @@
 BASE Refugio Suecia,-99999,-56.9833333333,-56,59,0.0,-63.3666666667,-63,22,0.0,1.0, Antartic, Argentina, Base antÃ¡rtica Refugio Suecia,-,-
 BASE Refuge Abrazo de MaipÃº,-99999,-57.5827777778,-57,34,58.0,-63.3880555556,-63,23,17.0,1.0, Antartic, Argentina, Base antÃ¡rtica Refugio abrazo de MaipÃº,-,-
+# IANIGLA-SSRH-ING
+Laguna Atuel,-99999,-70.045,-70,2,42.0,-34.511,-34,30,39.6,0.0,-,Argentina,Laguna Atuel,SSRHN,-
+Laguna del Diamante,-99999,-69.698,-69,41,52.8,-34.198,-34,11,52.8,0.0,-,Argentina,Laguna del Diamante,SSRHN,-
+Paso Pehuenche,-99999,-70.394,-70,23,38.4,-35.979,-35,58,44.4,0.0,-,Argentina,Paso Pehuenche,SSRHN,-
+Valle Hermoso,-99999,-70.201,-70,12,3.6,-35.142,-35,8,31.2,0.0,-,Argentina,Valle Hermoso,SSRHN,-
+Toscas,-99999,-69.888,-69,53,16.8,-33.164,-33,9,50.4,0.0,-,Argentina,Toscas,SSRHN,-
+El Nihuil,-99999,-68.676,-68,40,33.6,-35.033,-35,1,58.8,0.0,-,Argentina,El Nihuil,SSRHN,-
+Buta Ranquil,-99999,-69.746,-69,44,45.6,-37.076,-37,4,33.6,0.0,-,Argentina,Buta Ranquil,SSRHN,-
+Catriel,-99999,-67.796,-67,47,45.6,-37.877,-37,52,37.2,0.0,-,Argentina,Catriel,SSRHN,-
+El Tigre,-99999,-68.611,-68,36,39.6,-34.607,-34,36,25.2,0.0,-,Argentina,El Tigre,SSRHN,-
+La Jaula,-99999,-69.316,-69,18,57.6,-34.668,-34,40,4.8,0.0,-,Argentina,La Jaula,SSRHN,-
+Los Mayines,-99999,-70.176,-70,10,33.6,-35.72,-35,43,12.0,0.0,-,Argentina,Los Mayines,SSRHN,-
+Dique,-99999,-69.642,-69,38,31.2,-35.542,-35,32,31.2,0.0,-,Argentina,Dique,SSRHN,-
+Guido,-99999,-69.24,-69,14,24.0,-32.91,-32,54,36.0,0.0,-,Argentina,Guido,SSRHN,-
+Andacollo,-99999,-70.68,-70,40,48.0,-37.185,-37,11,6.0,0.0,-,Argentina,Andacollo,SSRHN,-
+Chos Malal,-99999,-70.27,-70,16,12.0,-37.375,-37,22,30.0,0.0,-,Argentina,Chos Malal,SSRHN,-
+Varvarco,-99999,-70.682,-70,40,55.2,-36.857,-36,51,25.2,0.0,-,Argentina,Varvarco,SSRHN,-
+Valle de Uco,-99999,-69.272,-69,16,19.2,-33.776,-33,46,33.6,0.0,-,Argentina,Valle de Uco,SSRHN,-
+Punta de Vacas,-99999,-69.76,-69,45,36.0,-32.85,-32,51,0.,0.0,-,Argentina,Punta de Vacas,SSRHN,-
+Uspallata,-99999,-69.34,-69,20,24.0,-32.59,-32,35,24.0,0.0,-,Argentina,Uspallata,SSRHN,-
+Las Cuevas,-99999,-70.053,-70,3,10.8,-32.813,-32,48,46.8,3190.0,-,Argentina,Las Cuevas,IANIGLA,-
+Cristo Redentor,-99999,-70.0,-70,0,0.0,-32.825,-32,49,30.0,73.0,-,Argentina,Cristo Redentor,IANIGLA,-
+Morenas Coloradas,-99999,-69.372,-69,22,19.2,-32.96,-32,57,36.0,3440.0,-,Argentina,Morenas Coloradas,IANIGLA,-
+Plaza de Mulas,-99999,-70.065,-70,3,54.0,-32.654,-32,39,14.4,4370.0,-,Argentina,Plaza de Mulas,IANIGLA,-
+Chalten Bajo,-99999,-72.905,-72,54,18.0,-49.359,-49,21,32.4,830.0,-,Argentina,Chalten Bajo,IANIGLA,-
+Diego de Leon,-99999,-71.647,-71,38,49.2,-41.284,-41,17,2.4,1578.0,-,Argentina,Diego de Leon,IANIGLA,-
+Glaciar Torre,-99999,-73.014,-73,0,50.4,-49.328,-49,19,40.8,860.0,-,Argentina,Glaciar Torre,IANIGLA,-
+Rio Toro Fondo,-99999,-72.968,-72,58,4.8,-49.055,-49,3,18.0,877.0,-,Argentina,Rio Toro Fondo,IANIGLA,-
+Almohadilla,-99999,-71.786,-71,47,9.6,-41.192,-41,11,31.2,1411.0,-,Argentina,Almohadilla,IANIGLA,-
+Aonikenk-Gl de los Tres,-99999,-72.9975,-72,59,51.0,-49.2774,-49,16,38.64,1233.0,-,Argentina,Aonikenk (Glaciar de los Tres),ING-IANIGLA,-
+Epulef-Gl Milanesio,-99999,-72.9505,-72,57,1.8,-49.0523,-49,3,8.28,898.0,-,Argentina,Epulef (Glaciar Milanesio),ING-IANIGLA,-
+Vuriloche 1-Filo de la Vieja,-99999,-71.845,-71,50,42.0,-41.1775,-41,10,39.0,2257.0,-,Argentina,Vuriloche 1 (Filo de la Vieja),ING-IANIGLA,-
+Vuriloche 2-Lago Alerce,-99999,-71.8053,-71,48,19.08,-41.1775,-41,10,39.0,1366.0,-,Argentina,Vuriloche 2 (Lago Alerce),ING-IANIGLA,-
+Toqui Lautaro-Gl Azufre,-99999,-70.5163,-70,30,58.68,-35.2928,-35,17,34.08,2453.0,-,Argentina,Toqui Lautaro (Glaciar Azufre),ING-IANIGLA,-
+Capayan-Gl Agua Negra,-99999,-69.8038,-69,48,13.68,-30.1734,-30,10,24.24,4754.0,-,Argentina,Capayan (Glaciar Agua Negra),ING-IANIGLA,-
+Diaguita-Arroyo Agua Negra,-99999,-69.77,-69,46,12.0,-30.3057,-30,18,20.52,3930.0,-,Argentina,Diaguita (Arroyo Agua Negra),ING-IANIGLA,-