Index: trunk/tools/drawing.py
===================================================================
--- trunk/tools/drawing.py	(revision 2851)
+++ trunk/tools/drawing.py	(revision 2852)
@@ -11316,5 +11316,5 @@
           [fontsize]: font size for the legend (auto for 12)
           [Ncol]: number of columns (1)
-        labels: labels to write in the graph ('!' for spaces)
+        labels: labels to write in the graph ('!' for spaces, '*' for no label)
         boxlvals: [line style]|[line width] values for the boxes (['-', 3], auto)
         [ColorLeg] = [ijstart, orientation, labsize, sqsize, labrotation, 
@@ -11442,11 +11442,14 @@
         Boxlvals = ['-', 3]
 
-    if ColorLeg != 'auto': 
-        colorleg = [np.float(ColorLeg.split('|')[0]), ColorLeg.split('|')[1],        \
-          np.float(ColorLeg.split('|')[2]), np.float(ColorLeg.split('|')[3]),        \
-          np.float(ColorLeg.split('|')[4]), np.float(ColorLeg.split('|')[5]),        \
-          np.float(ColorLeg.split('|')[6]), ColorLeg.split('|')[7]]
-    else: 
-        colorleg = [0.8, 'vertical', 10., 10., 0., 0.8, 0.1, '#CCCCFF']
+    if ColorLeg == 'None':
+        colorleg = [None]*7 + ['#CCCCFF']
+    else:
+        if ColorLeg != 'auto': 
+            colorleg = [np.float(ColorLeg.split('|')[0]), ColorLeg.split('|')[1],    \
+              np.float(ColorLeg.split('|')[2]), np.float(ColorLeg.split('|')[3]),    \
+              np.float(ColorLeg.split('|')[4]), np.float(ColorLeg.split('|')[5]),    \
+              np.float(ColorLeg.split('|')[6]), ColorLeg.split('|')[7]]
+        else: 
+            colorleg = [0.8, 'vertical', 10., 10., 0., 0.8, 0.1, '#CCCCFF']
 
     if mervals != 'auto':
Index: trunk/tools/drawing_tools.py
===================================================================
--- trunk/tools/drawing_tools.py	(revision 2851)
+++ trunk/tools/drawing_tools.py	(revision 2852)
@@ -2731,5 +2731,5 @@
     # Trimming figures
     # FROM: https://stackoverflow.com/questions/3130072/matplotlib-savefig-image-trim
-    plt.tight_layout()
+    #plt.tight_layout()
 
     if close:
@@ -14631,5 +14631,5 @@
       landseamask= landseamask values of the first domain
       boxesX/Y= 4-line sets to draw the boxes
-      boxlabels= labels for the legend of the boxes
+      boxlabels= labels for the legend of the boxes ('*' for no label)
       o[lon/lat]= longitude and latitude objects
       lonlatLims: limits of longitudes and latitudes [lonmin, latmin, lonmax, latmax]
@@ -14753,6 +14753,7 @@
         bbcol = gen.modify_color(cols[ibox], 'hex', 32, 'darken')
         ix, iy = m(boxesX[ibox*4], boxesY[ibox*4])
-        plt.plot(ix, iy, linestyle=boxlvals[0], linewidth=boxlvals[1], color=bbcol,  \
-          label=gen.latex_text(boxlabels[ibox].replace('!',' ')))
+        if boxlabels[ibox] != '*':
+            plt.plot(ix, iy, linestyle=boxlvals[0], linewidth=boxlvals[1],           \
+              color=bbcol, label=gen.latex_text(boxlabels[ibox].replace('!',' ')))
         ix, iy = m(boxesX[ibox*4+1], boxesY[ibox*4+1])
         plt.plot(ix, iy, linestyle=boxlvals[0], linewidth=boxlvals[1], color=bbcol)
@@ -14780,77 +14781,78 @@
     X, Y = fig.get_dpi() * fig.get_size_inches()
 
-    # Dimensions of the color-legend
-    totboxlength = legcolv[5]
-    ibox = legcolv[6]
-
-    cbox = unichr(9632)#+unichr(9632)+unichr(9632)
-    bbox = unichr(9633)
-
-    ccs = np.arange(0.,totboxlength,totboxlength/(nrows+1))
-
-    iix = legcolv[0]
-    Ns = []
-    Cs = []
-    Xs = []
-    Ys = []
-    if legcolv[1] == 'vertical':
-        bw = totboxlength / (nrows + 1)
-        bh = bw * X / Y
-        Ns.append('> ' + str(topobnds[Ncolors-2]))
-        Cs.append(Ncolors-2)
-        Xs.append([iix,iix-bh])
-        Ys.append(ibox - ccs[0])
-        for i in range(1,Ncolors-2):
-            Ns.append(str(topobnds[Ncolors-2-i]))
-            Cs.append(Ncolors-2-i)
+    if legcolv[0] is not None:
+        # Dimensions of the color-legend
+        totboxlength = legcolv[5]
+        ibox = legcolv[6]
+
+        cbox = unichr(9632)#+unichr(9632)+unichr(9632)
+        bbox = unichr(9633)
+
+        ccs = np.arange(0.,totboxlength,totboxlength/(nrows+1))
+
+        iix = legcolv[0]
+        Ns = []
+        Cs = []
+        Xs = []
+        Ys = []
+        if legcolv[1] == 'vertical':
+            bw = totboxlength / (nrows + 1)
+            bh = bw * X / Y
+            Ns.append('> ' + str(topobnds[Ncolors-2]))
+            Cs.append(Ncolors-2)
             Xs.append([iix,iix-bh])
-            Ys.append(ibox - ccs[i])
-        Ns.append('< 0')
-        Cs.append(0)
-        Xs.append([iix,iix-bh])
-        Ys.append(ibox - ccs[Ncolors-2])
-
-    elif legcolv[1] == 'horizontal':
-        bw = totboxlength / (nrows + 1)
-        bh = bw * Y / X
-
-        Ns.append('< 0')
-        Cs.append(0)
-        Xs.append(ibox+ccs[0])
-        Ys.append([iix-bh,iix])
-        for i in range(1,Ncolors-2):
-            Ns.append(str(topobnds[i]))
-            Cs.append(i)
-            Xs.append(ibox + ccs[i])
+            Ys.append(ibox - ccs[0])
+            for i in range(1,Ncolors-2):
+                Ns.append(str(topobnds[Ncolors-2-i]))
+                Cs.append(Ncolors-2-i)
+                Xs.append([iix,iix-bh])
+                Ys.append(ibox - ccs[i])
+            Ns.append('< 0')
+            Cs.append(0)
+            Xs.append([iix,iix-bh])
+            Ys.append(ibox - ccs[Ncolors-2])
+
+        elif legcolv[1] == 'horizontal':
+            bw = totboxlength / (nrows + 1)
+            bh = bw * Y / X
+
+            Ns.append('< 0')
+            Cs.append(0)
+            Xs.append(ibox+ccs[0])
             Ys.append([iix-bh,iix])
-        Ns.append('> ' + str(topobnds[Ncolors-2]))
-        Cs.append(Ncolors-2)
-        Xs.append(ibox + ccs[Ncolors-2])
-        Ys.append([iix-bh,iix])
-    else:
-        print errormsg
-        print '  ' + fname + ": oritnation of legend of colors of topography " +     \
-          "scale '" + legcolv[1] + "' not ready !!"
-        print '    available ones:', availor
-        quit(-1)
-
-    for ib in range(0,Ncolors-1):
-        Nb = Ns[ib]
-        if legcolv[1] == 'vertical':
-            ix = Xs[ib][0]
-            iy = Ys[ib]
-        elif legcolv[1] == 'horizontal':
-            ix = Xs[ib]
-            iy = Ys[ib][0]
-        plt.annotate(Nb, xy=(ix,iy), xycoords='figure fraction', fontsize=legcolv[2],\
-          rotation=legcolv[4])
-        if legcolv[1] == 'vertical':
-            ix = Xs[ib][1]
-        elif legcolv[1] == 'horizontal':
-            iy = Ys[ib][1]
-        plt.annotate(cbox, xy=(ix,iy), xycoords='figure fraction',                   \
-          fontsize=legcolv[3], color=HEXtopocolors[Cs[ib]])
-        plt.annotate(bbox, xy=(ix,iy), xycoords='figure fraction',                   \
-          fontsize=legcolv[3], color='k')
+            for i in range(1,Ncolors-2):
+                Ns.append(str(topobnds[i]))
+                Cs.append(i)
+                Xs.append(ibox + ccs[i])
+                Ys.append([iix-bh,iix])
+            Ns.append('> ' + str(topobnds[Ncolors-2]))
+            Cs.append(Ncolors-2)
+            Xs.append(ibox + ccs[Ncolors-2])
+            Ys.append([iix-bh,iix])
+        else:
+            print errormsg
+            print '  ' + fname + ": oritnation of legend of colors of topography " + \
+              "scale '" + legcolv[1] + "' not ready !!"
+            print '    available ones:', availor
+            quit(-1)
+
+        for ib in range(0,Ncolors-1):
+            Nb = Ns[ib]
+            if legcolv[1] == 'vertical':
+                ix = Xs[ib][0]
+                iy = Ys[ib]
+            elif legcolv[1] == 'horizontal':
+                ix = Xs[ib]
+                iy = Ys[ib][0]
+            plt.annotate(Nb, xy=(ix,iy), xycoords='figure fraction',                 \
+              fontsize=legcolv[2], rotation=legcolv[4])
+            if legcolv[1] == 'vertical':
+                ix = Xs[ib][1]
+            elif legcolv[1] == 'horizontal':
+                iy = Ys[ib][1]
+            plt.annotate(cbox, xy=(ix,iy), xycoords='figure fraction',               \
+              fontsize=legcolv[3], color=HEXtopocolors[Cs[ib]])
+            plt.annotate(bbox, xy=(ix,iy), xycoords='figure fraction',               \
+              fontsize=legcolv[3], color='k')
 
     figname = 'plot_topofix_geogrid'